summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGordian Edenhofer2017-10-19 22:18:04 +0200
committerGordian Edenhofer2017-10-19 22:24:28 +0200
commit67f7624ec773ffde78d58f0a45860f5d850800a9 (patch)
tree2a6cec7dfb0e39ca2b43625d35ac35d731fc6efe
parentd3e8947da7ae20aa17734379a9cf9bd075c36551 (diff)
downloadaur-67f7624ec773ffde78d58f0a45860f5d850800a9.tar.gz
upgpkg: slurm-llnl 17.02.8.1-1
* Cleanup bash code in .install * Replace `echo -e` with makepkg's internal `msg` function * Streamline commenting style upgpkg: slurm-llnl-dev 17.11.0.0pre2-1 upgpkg: slurm-llnl-git 17.11.0.0pre2.r1028.gb10c33df25-1
-rw-r--r--PKGBUILD8
-rw-r--r--slurm-llnl-dev.install50
2 files changed, 24 insertions, 34 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 52ddcab62bf..33168ca3eae 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -78,7 +78,7 @@ package() {
make DESTDIR="${pkgdir}" install
- # slurm configs and license
+ # Install slurm's configs and license
install -D -m644 etc/slurm.conf.example "${pkgdir}/etc/slurm-llnl/slurm.conf.example"
install -D -m644 etc/slurmdbd.conf.example "${pkgdir}/etc/slurm-llnl/slurmdbd.conf.example"
install -D -m644 LICENSE.OpenSSL "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.OpenSSL"
@@ -86,17 +86,17 @@ package() {
install -D -m644 ../slurm-llnl-default-conf "${pkgdir}/etc/default/slurm-llnl"
- # init related install
+ # Install init related files
install -D -m755 etc/init.d.slurm "${pkgdir}/etc/rc.d/slurm"
install -D -m755 etc/init.d.slurmdbd "${pkgdir}/etc/rc.d/slurmdbd"
- # SystemD related install
+ # Install SystemD related files
install -D -m644 ../slurmctld.service "${pkgdir}/usr/lib/systemd/system/slurmctld.service"
install -D -m644 ../slurmd.service "${pkgdir}/usr/lib/systemd/system/slurmd.service"
install -D -m644 ../slurmdbd.service "${pkgdir}/usr/lib/systemd/system/slurmdbd.service"
install -D -m644 ../slurm-tmpfiles.conf "${pkgdir}/usr/lib/tmpfiles.d/slurm-tmpfiles.conf"
- # creating a log and a lib dir
+ # Create a log and a lib dir
install -d -m755 "${pkgdir}/var/log/slurm-llnl"
install -d -m755 "${pkgdir}/var/lib/slurm-llnl"
}
diff --git a/slurm-llnl-dev.install b/slurm-llnl-dev.install
index f91c5e958c8..6ccc367a37c 100644
--- a/slurm-llnl-dev.install
+++ b/slurm-llnl-dev.install
@@ -1,70 +1,60 @@
-## arg 1: the new package version
post_install() {
- id slurm >&/dev/null
- if [ $? -ne 0 ]; then
- echo -e "\e[34;1m==>\e[39;1m Adding slurm system group... \e[0m"
- groupadd -g 64030 -r slurm
- [ $? -ne 0 ] && groupadd -r slurm
+ if ! id slurm >&/dev/null; then
+ msg "Adding slurm system group..."
+ groupadd -g 64030 -r slurm || groupadd -r slurm
- echo -e "\e[34;1m==>\e[39;1m Adding slurm system user... \e[0m"
- useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm -u 64030 slurm
- [ $? -ne 0 ] && useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm slurm
+ msg "Adding slurm system user..."
+ useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm -u 64030 slurm || useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm slurm
- echo -e "\e[34;1m==>\e[39;1m Locking Slurm User Account...\e[0m"
+ msg "Locking Slurm User Account..."
passwd -l slurm &>/dev/null
fi
- # securing the log dir
+ # Secure the log dir
if [ -d /var/log/slurm-llnl ]; then
chown -R slurm:slurm /var/log/slurm-llnl
fi
- echo -e "\e[34;1m==>\e[39;1m NOTE: You have to create a slurm configuration-file in /etc/slurm-llnl/ \e[0m"
- echo -e "\e[34;1m==>\e[39;1m prior to starting any slurm daemons. \e[0m"
+ msg "You have to create a slurm configuration-file in /etc/slurm-llnl/ prior to starting any slurm daemons."
}
-## arg 1: the new package version
-## arg 2: the old package version
post_upgrade() {
- # THIS HAS TO BE REMOVED ONEDAY - TODO
- if [ -f /etc/slurm/slurm.conf ]; then
+ # REMOVE ONEDAY - TODO
+ if [[ -f /etc/slurm/slurm.conf ]]; then
mv /etc/slurm/* /etc/slurm-llnl/
rmdir /etc/slurm
- echo -e "\e[34;1m==>\e[39;1m Your configuration-files were moved from /etc/slurm to /etc/slurm-llnl ! \e[0m"
+ msg "Your configuration-files were moved from /etc/slurm to /etc/slurm-llnl !"
fi
}
-## arg 1: the old package version
pre_remove() {
- which systemctl >& /dev/null
- if [ $? -eq 0 ]; then
- echo -e "\e[34;1m==>\e[39;1m Stopping slurm daemons through SystemD... \e[0m"
+ if which systemctl >& /dev/null; then
+ msg "Stopping slurm daemons through SystemD..."
systemctl stop slurmd.service
systemctl stop slurmdbd.service
systemctl stop slurmctld.service
- echo -e "\e[34;1m==>\e[39;1m Disabling SystemD related file(s)... \e[0m"
+ msg "Disabling SystemD related file(s)..."
systemctl disable slurmd.service
systemctl disable slurmdbd.service
systemctl disable slurmctld.service
else
- echo -e "\e[34;1m==>\e[39;1m Stopping slurm daemons... \e[0m"
+ msg "Stopping slurm daemons..."
/etc/rc.d/slurm stop
/etc/rc.d/slurmdbd stop
fi
}
-## arg 1: the old package version
post_remove() {
- # Deleting remnant recusivly
+ # Delete remnant recusivly
rm -rf /var/lib/slurm-llnl
# Change directories which formerly belonged to slurm to be owned by root
[[ -d /var/spool/slurm ]] && chown -R root:root /var/spool/slurm
- # notifying the user of kept dirs
- [[ -d /etc/slurm-llnl ]] && echo -e "\e[34;1m==>\e[39;1m NOTE: Custom configuration-file(s) in /etc/slurm-llnl/ were kept on your system.\e[0m"
- [[ -d /var/log/slurm-llnl ]] && chown -R root:root /var/log/slurm-llnl && echo -e "\e[34;1m==>\e[39;1m NOTE: Logfiles were preserved. They reside under /var/log/slurm-llnl .\e[0m"
+ # Notify the user of kept dirs
+ [[ -d /etc/slurm-llnl ]] && msg "Custom configuration-file(s) in /etc/slurm-llnl/ were kept on your system."
+ [[ -d /var/log/slurm-llnl ]] && chown -R root:root /var/log/slurm-llnl && msg "Logfiles were preserved. They reside under /var/log/slurm-llnl ."
- echo -e "\e[34;1m==>\e[39;1m Removing slurm system user/group... \e[0m"
+ msg "Removing slurm system user/group..."
userdel slurm
}